Name:           nodejs-async
Version:        0.1.22
Release:        3%{?dist}
Summary:        Higher-order functions and common patterns for asynchronous code
BuildArch:      noarch

Group:          System Environment/Libraries
License:        MIT
URL:            http://github.com/caolan/async/
Source0:        http://registry.npmjs.org/async/-/async-%{version}.tgz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  nodejs-devel

%description
Async is a utility module which provides straight-forward, powerful functions
for working with asynchronous JavaScript. Although originally designed for
use with Node.js, it can also be used directly in the browser.

Async provides around 20 functions that include the usual 'functional'
suspects (map, reduce, filter, forEach…) as well as some common patterns
for asynchronous control flow (parallel, series, waterfall…). All these
functions assume you follow the Node.js convention of providing a single
callback as the last argument of your async function.

%prep
%setup -q -n package

%build
#nothing to do

%install
rm -rf %buildroot
mkdir -p %{buildroot}%{nodejs_sitelib}/async
cp -pr package.json index.js lib %{buildroot}%{nodejs_sitelib}/async

#has commands for testing in Makefile and package.json but no actual tests??
#also requires nodeunit which isn't packaged yet
#%%check
#make test

%clean
rm -rf %buildroot

%files
%defattr(-,root,root,-)
%{nodejs_sitelib}/async
%doc README.md LICENSE

%changelog
* Tue Jan 08 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.1.22-3
- add missing build section

* Tue Jan 08 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.1.22-2
- Fix URL
- Provide a better description

* Mon Dec 31 2012 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.1.22-1
- initial package generated by npm2rpm
